Name:          libfli
Summary:       Finger Lakes Instrument Library
Version:       1.7
Release:       %mkrel 15
License:       GPLv2+
Group:         Development/Other
Url:           https://indi.sourceforge.net/index.php/Main_Page
Source0:       https://downloads.sourceforge.net/indi/libfli1_%version.tar.gz
Patch0:        libfli-1.7.190-fix-link.patch
Patch1:        libfli-1.7.190-fix-lib.patch
Patch2:        libfli-cmake-4.0.patch
BuildRequires: cmake

%description
Finger Lakes Instrument Library.

#---------------------------------------------

%define fli_major 1
%define libfli %mklibname fli %{fli_major}

%package -n %libfli
Summary:       Finger Lakes Instrument Library
Group:         System/Libraries

%description -n %libfli
Finger Lakes Instrument Library.

%files -n %libfli
%_libdir/libfli.so.%{fli_major}{,.*}

#-----------------------------------------------------------------------------

%define libfli_d %mklibname fli -d

%package -n %libfli_d
Summary:       Devel stuff for %{name}
Group:         Development/Other
Requires:      %libfli = %version
Provides:      fli-devel = %version-%release
Provides:      %{name}-devel = %version-%release
Obsoletes:     libfli-devel < 1.7-12
Obsoletes:     libfli-%{_lib}fli-devel < 1.7-13

%description -n %libfli_d
Files needed to build applications based on %{name}.

%files -n %libfli_d
%_includedir/libfli.h
%_libdir/libfli.so

#---------------------------------------------

%prep
%autosetup -p0 -n libfli1-%version

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Thu Jun 26 2025 daviddavid <daviddavid> 1.7-15.mga10
+ Revision: 2197604
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.7-14.mga9
+ Revision: 1795181
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> 1.7-13.mga8
+ Revision: 1518570
- fix again devel pkg name

* Fri Feb 14 2020 daviddavid <daviddavid> 1.7-12.mga8
+ Revision: 1518405
- fix devel pkg name

* Thu Feb 13 2020 daviddavid <daviddavid> 1.7-11.mga8
+ Revision: 1514106
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.7-10.mga7
+ Revision: 1298842
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.7-9.mga6
+ Revision: 944206
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-8.mga5
+ Revision: 743603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-7.mga5
+ Revision: 681457
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-6.mga4
+ Revision: 507000
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7-5.mga3
+ Revision: 357107
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 ahmad <ahmad> 1.7-4.mga1
+ Revision: 33101
- imported package libfli


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7-4mdv2011.0
+ Revision: 602542
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7-3mdv2010.1
+ Revision: 520769
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.7-2mdv2010.0
+ Revision: 425542
- rebuild

* Tue Nov 25 2008 Funda Wang <fwang@mandriva.org> 1.7-1mdv2009.1
+ Revision: 306529
- 1.7 final

* Wed Oct 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-0.190.5mdv2009.1
+ Revision: 298470
- Use default include dir,  kdeedu was wrong
  TODO: fix kdeedu

* Wed Oct 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-0.190.4mdv2009.1
+ Revision: 298263
- Bump release*
- Fix include path

* Wed Oct 29 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.7-0.190.2mdv2009.1
+ Revision: 298202
- Bump release
- Fix lib install on x86_64
- import libfli


